Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Mittelpunkt vom Ring

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mittelpunkt vom Ring (389 mal gelesen)
mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 10. Mrz. 2004 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,

irgendwie steh ich auf´n Schlauch. Wie bekommen ich von dem folgenden Objekt (Ring) den Mittelpunkt? Mit Gruppencode 10 tuts nicht. Der Zentrum des Ringes ist unten mit dem Befehl id angegeben. Warum gibt es beim Ring eigentlich zweimal den Gruppencode 10. Wenn schon zwei dann müste der zweite ja 11 sein ?!

((-1 . <Objektname: 4f24a548> ) (0 . "LWPOLYLINE") (330 . <Objektname: 4170dcf8> ) (5 . "DEAD1") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "L-verdeckt") (100 . "AcDbPolyline") (90 . 2) (70 . 1) (43 . 25.0) (38 . 0.0)(39 . 0.0) (10 20829.4 -26586.7) (40 . 25.0) (41 . 25.0) (42 . 1.0) (10 20854.4 -26586.7) (40 . 25.0) (41 . 25.0) (42 . 1.0) (210 0.0 0.0 1.0))

Befehl: id
Punkt angeben: _cen von  X = 20841.93    Y = -26586.72    Z = 0.00

Danke schon mal

Martin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Mrz. 2004 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Das Objekt ist eine Polylinie! Und die hat hat mehrere Punkte.Wie du an den Mittelpunkt kommst, und allgemein etwas zu Polylinien steht hier : http://www.afralisp.com/lisp/Bulges1.htm sehr gut beschrieben.

------------------
- Thomas -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz